Attribute VB_Name = "Module6"
Option Explicit
'Deklarationen, um Fensterstile zu aendern
Private Declare Function SetWindowLong Lib "user32" Alias _
        "SetWindowLongA" (ByVal hwnd As Long, ByVal nIndex _
        As Long, ByVal dwNewLong As Long) As Long
Private Declare Function GetWindowLong Lib "user32" Alias _
        "GetWindowLongA" (ByVal hwnd As Long, ByVal nIndex _
        As Long) As Long
        
Private Declare Function SetWindowPos Lib "user32" (ByVal _
        hwnd As Long, ByVal hWndInsertAfter As Long, ByVal _
        x As Long, ByVal y As Long, ByVal cx As Long, _
        ByVal cy As Long, ByVal wFlags As Long) As Long
       
Private Declare Function GetWindowRect Lib "user32" (ByVal _
        hwnd As Long, lpRect As Rect) As Long
       
Private Type Rect
  Left As Long
  Top As Long
  Right As Long
  Bottom As Long
End Type
Public Const SWP_FRAMECHANGED = &H20
Public Const GWL_STYLE = (-16)
Public Const WS_MAXIMIZEBOX = &H10000
Public Const WS_MINIMIZEBOX = &H20000
Public Const WS_THICKFRAME = &H40000
Public Const WS_SYSMENU = &H80000
Public Const WS_HSCROLL = &H100000
Public Const WS_VSCROLL = &H200000
Public Const WS_BORDER = &H800000
Public Const WS_NOBORDER = &H6000000
'Deklarationen, um Fensterstile zu aendern

Public Sub SetForm(frm As Form, ToggleStyle&, FRefresh As Boolean)
'Prozedur, um Fensterstile zu aendern
  Dim lngStyle&, R As Rect
  
    lngStyle = GetWindowLong(frm.hwnd, GWL_STYLE)
    If (lngStyle And ToggleStyle&) Then
      lngStyle = lngStyle - ToggleStyle&
    Else
      lngStyle = lngStyle Or ToggleStyle&
    End If
    Call SetWindowLong(frm.hwnd, GWL_STYLE, lngStyle)
    Call GetWindowRect(frm.hwnd, R)
    Call SetWindowPos(frm.hwnd, 0, R.Left, R.Top, _
         R.Right - R.Left, R.Bottom - R.Top, _
         SWP_FRAMECHANGED)
'Prozedur, um Fensterstile zu aendern
End Sub

