Attribute VB_Name = "Module3"
Option Explicit

Public Function IPLongToIPString(ByVal lngIP As Long) As String

    Dim strTemp As String
    
    strTemp = LoByte(LoWord(lngIP)) & "." & HiByte(LoWord(lngIP)) & _
        "." & LoByte(HiWord(lngIP)) & "." & HiByte(HiWord(lngIP))
        
    IPLongToIPString = strTemp
    
End Function

Private Function LongToInt(ByVal lngNumber As Long) As Integer

    lngNumber = lngNumber And &HFFFF&
    
    If lngNumber > &H7FFF Then
    
        LongToInt = lngNumber - &H10000
        
    Else
    
        LongToInt = lngNumber
        
    End If
    
End Function

Private Function IntToLong(ByVal intNumber As Integer) As Long

    If intNumber < 0 Then
    
        IntToLong = intNumber + &H10000
        
    Else
    
        IntToLong = intNumber
        
    End If
    
End Function

Private Function LoWord(ByVal lngNumber As Long) As Integer

    LoWord = LongToInt(lngNumber And &HFFFF&)
    
End Function

Private Function HiWord(lngNumber As Long) As Integer

    HiWord = LongToInt(Int((lngNumber / &H10000)))
    
End Function

Private Function HiByte(ByVal intNumber As Integer) As Byte

    HiByte = Int((IntToLong(intNumber) / &H100&)) And &HFF&
    
End Function

Private Function LoByte(ByVal intNumber As Integer) As Byte

    LoByte = intNumber And &HFF&
    
End Function




